<?php
include('../config.php');
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $serverIP . "/players.json");
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

$json;
$serverStatus = 0;

$output = curl_exec($curl);

if (curl_exec($curl) === false){
    $serverStatus = 1;
    echo '<script> console.log("Curl error: ' . curl_error($curl) . '")</script>';
} elseif (!empty(curl_exec($curl)) && !empty($output)) {
    $serverStatus = 2;
    $json = json_decode($output, TRUE, 512, JSON_BIGINT_AS_STRING);
} else {
    $serverStatus = 0;
    echo '<script> console.log("Curl error: ' . curl_error($curl) . '")</script>';
}

/* Server Status variable values
0 - Loading cURL
1 - Offline
2 - Online
*/

curl_close($curl);
?>


<div class="server-info-container">
    <div class="server-stat-title">Server status:</div>
    <?php if ($serverStatus === 2){ echo '<div class="server-stat ellipse-green">Online</div>'; } elseif ($serverStatus === 1) { echo '<div class="server-stat ellipse-red">Offline</div>'; } else { echo '<div class="server-stat ellipse-grey">Loading</div>'; } ?>
    <div class="server-stat-title">Online Players:</div>    
    <?php if ($serverStatus === 2){ echo '<div class="server-stat ellipse-indigo">' . count($json) . '</div>'; } else { echo '<div class="server-stat ellipse-grey">0</div>'; } ?>
    <div class="server-stat-title">IP Address:</div>
    <div class="server-stat ellipse-grey"><?php echo $serverIP;?></div>
    <div class="server-info-footer">REFRESHES EVERY 5 SECONDS</div>
</div>